# Retrieve a specific source **GET /sources/{id}** Get details of a specific source by its ID. ## Servers - Generic Language-specific server: https://en.pronouns.page/api/public/v3 (Generic Language-specific server) - Deutsch (German) server: https://pronomen.net/api/public/v3 (Deutsch (German) server) - Español (Spanish) server: https://pronombr.es/api/public/v3 (Español (Spanish) server) - Esperanto server: https://pronomejo.net/api/public/v3 (Esperanto server) - Italiano (Italian) server: https://pronom.it/api/public/v3 (Italiano (Italian) server) - Føroyskt (Faroese) server: https://fornovn.fo/api/public/v3 (Føroyskt (Faroese) server) - Français (French) server: https://pronoms.fr/api/public/v3 (Français (French) server) - Polski (Polish) server: https://zaimki.pl/api/public/v3 (Polski (Polish) server) - Base server (English): https://pronouns.page/api/public/v3 (Base server (English)) ## Parameters ### Headers - **Accept** (string) The format to return errors in (if applicable) and, for some endpoints, the format to return the data in. In general, we recommend having it set to `application/json` ### Path parameters - **id** (integer) The ID of the pronoun data source. ## Responses ### 200 A JSON object representing the pronoun data source #### Body: application/json (object) - **id** (string) A unique identifier for an item, typically a 26-character alphanumeric string. - **locale** (string) The locale associated with the submitted data (e.g., "en" for English). - **approved** (boolean) Indicates if the submission has been approved - **deleted** (boolean) Indicates if the submission has been marked as deleted - **pronouns** (string) The pronouns associated with the source (e.g., "they"). - **type** (string) The type of source (e.g., "Book", "Article", "Website"). - **author** (string) The author of the source. - **title** (string) The title of the source. - **extra** (string) Any extra information about the source. - **year** (integer) The year the source was published. - **fragments** (string) A fragment or excerpt from the source that is relevant to the pronouns. - **comment** (string | null) Any comments about the source or its relevance to the pronouns. - **link** (string | null) A link to the source or more information about it. - **submitter_id** (string) A unique identifier for an item, typically a 26-character alphanumeric string. - **base_id** (string) A unique identifier for an item, typically a 26-character alphanumeric string. - **key** (string | null) A key or identifier for the source, often derived from the publication date and title. - **images** (string | null) A comma-separated list of image IDs associated with this source. - **spoiler** (boolean) Indicates if the source contains spoilers for the pronouns or related content. - **submitter** (string) The name of the person who submitted the source. - **versions** (array[string]) A list of version IDs from other locales associated with this source. ### default Basic Error Response #### Body: application/json (object) - **statusCode** (number) The HTTP Status Code associated with the error - **error** (boolean) Indicates that the response is an error - **statusMessage** (string) The message associated with the error - **message** (string) The message associated with the error (client visible) - **url** (string) The URL that was requested which resulted in the error [Powered by Bump.sh](https://bump.sh)